Subject: Re: bug#18797: 24.4; Unable to do image transforms even when emacs is compiled with Imagemagick

From: Kaushal <[email-masked]>
Date: Wed, 22 Oct 2014 14:45:37 -0400

Thanks for your reply.

I evaluated (setq image-type-header-regexps nil) and verified that it is
actually set to nil by doing C-h v on that variable.

But (eq image-type 'imagemagick) is still returning nil and I am M-:
(image-transform-set-scale 0.1) still does nothing.

--
Kaushal Modi

On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morris <[email-masked]> wrote:

>
> This message was over 1 MB. Please compress attachments in future.
> No need to resend this one, since interested people can fetch the
> attachment
> from http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18797#5 .
> (But I think it has no relevance anyway.)
>
> Kaushal wrote:
>
> > I have compiled emacs with Imagemagick (the config.log file is attached).
> >
> > But "M-x image-transform-set-scale" is not working for me. The image
> scale
> > stays the same when I set the scale to 0.5. I tested it with bot png and
> > jpg images.
> >
> > But the eimp package is working fine (which uses mogrify from
> Imagemagick).
> >
> > When an image is open in a buffer, evaluating "(eq image-type
> > 'imagemagick)" returns "nil".
>
> Right, so it's not an ImageMagick image, so you can't transform it.
> Emacs uses libjpeg for jpgs by default.
> Try testing it on a format that Emacs does't support otherwise, eg bmp.
> You have to force the images to be created with type imagemagick to be
> able to scale them. This remains poorly documented IMO;
> http://debbugs.gnu.org/10746
>
> > What am I missing in enabling the imagemagick detection for functions
> like
> > image-transform-set-scale?
>